Method: termsOfService.retrieveLatest

Retrieves the latest version of the TermsOfService for a given kind and regionCode.

HTTP request

GET https://merchantapi.googleapis.com/accounts/v1alpha/termsOfService:retrieveLatest

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
regionCode

string

Required. Region code as defined by CLDR. This is either a country when the ToS applies specifically to that country or 001 when it applies globally.

kind

enum (TermsOfServiceKind)

Required. The Kind this terms of service version applies to.

account

string

Optional. Required if kind is YOUTUBE_SHOPPING_AFFILIATE_PROGRAM in order to infer the partner associated with the account. Specifies the account for which to get the latest ToS. If not set for YOUTUBE_SHOPPING_AFFILIATE_PROGRAM, an INVALID_ARGUMENT error will be returned. For all other kind values, this field has no effect and is ignored. Format: accounts/{account}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of TermsOfService.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.